EDIT - bug #9803

Aggregating full dataset does not work
10/11/2021 12:53 PM - Andreas Muller

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Katja Luther % Done: 100%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.28

Severity: critical Found in Version:

Description

Choosing "Aggregate all taxa of the descriptive datase" currently does not work.
This is because the dataset variable in the wizard page is not loaded correctly. It does not include the taxon node filter.

Therefore the filter is "empty" and no data is aggregated at all.

Related issues:
Copied from EDIT - feature request #9805: Open issues for DDS aggregation dia... New

Associated revisions

Revision bbcd0abb - 10/11/2021 12:55 PM - Andreas Miiller

ref #9803 better handling of redundant minMaxRank and geoFilter handling in aggregation wizard

Revision €9941985 - 10/29/2021 09:17 AM - Katja Luther
ref #9803: fix not loaded subtree in DDS

History

#1 - 10/11/2021 02:32 PM - Andreas Miiller

Related to this | found that there is redundancy in the code. This lead to a failing fix for the rank handling as it was only fixed in the first version, not in
the second.
| fixed it with bbcdOabb . Generally we should urgently try to avoid such redundant code. It always leads to such type of errors which are avoidable.

#2 - 10/11/2021 04:05 PM - Andreas Miiller
- Copied from feature request #9805: Open issues for DDS aggregation dialogue added

#3 - 10/29/2021 09:22 AM - Katja Luther

- Status changed from New to Resolved

this is fixed.

#4 - 10/29/2021 09:22 AM - Katja Luther
- % Done changed from 0 to 60

#5 - 10/29/2021 09:29 AM - Andreas Mdiller

- Target version changed from Release 5.45 to Release 5.28

#6 - 10/29/2021 09:50 AM - Katja Luther

- Assignee changed from Katja Luther to Andreas Mtiller

tested on rem_conf_am. works with Structured dds test.

#7 - 11/01/2021 03:30 PM - Andreas Miiller
- Status changed from Resolved to Closed

- Assignee changed from Andreas Muiller to Katja Luther
- % Done changed from 60 to 100

Works as expected
